﻿using UnityEngine;
using System.Collections;

public class ButtonHandler : MonoBehaviour {

	public float firstPressed = 0.0f;
	public int currentSelectedButtonID = -1;

	public void selected(int buttonID){
	
		if (currentSelectedButtonID == -1) {
			Debug.Log ("UI-button selected");
			firstPressed = Time.time;
			currentSelectedButtonID = buttonID;
		}
	}

	public void deselected(){
		currentSelectedButtonID = -1;
		firstPressed = 0.0f;
	}
}

